<?php
namespace JLTDFSM\Inc\Classes;

use JLTDFSM\Libs\Recommended;

if ( ! class_exists( 'Recommended_Plugins' ) ) {
	/**
	 * Recommended Plugins class
	 *
	 * Jewel Theme <support@jeweltheme.com>
	 */
	class Recommended_Plugins extends Recommended {

		/**
		 * Constructor method
		 */
		public function __construct() {
			$this->menu_order = 15; // for submenu order value should be more than 10 .
			parent::__construct( $this->menu_order );
		}

		/**
		 * Menu list
		 */
		public function menu_items() {
			return array(
				array(
					'key'   => 'all',
					'label' => 'All',
				),
				array(
					'key'   => 'featured', // key should be used as category to the plugin list.
					'label' => 'Featured Item',
				),
				array(
					'key'   => 'popular',
					'label' => 'Popular',
				),
				array(
					'key'   => 'favorites',
					'label' => 'Favorites',
				),
			);
		}

		/**
		 * Plugins List
		 *
		 * @author Jewel Theme <support@jeweltheme.com>
		 */
		public function plugins_list() {
			return array(
                'adminify'				=> array(
					'slug'              	=> 'adminify',
					'name'              	=> 'WP Adminify',
					'short_description' 	=> 'WP Adminify enhances the WordPress Dashboard Customization journey. It comes with 20+ modules, such as Media Folder, Login Customizer, Menu Editor, Admin Columns, Activity Logs, Disable Admin Notice, WordPress White Label, Admin Page, Google Pagespeed Insights, Custom CSS/JS, and many more. ',
					'icon'              	=> 'https://ps.w.org/adminify/assets/icon.svg',
					'download_link'     	=> 'https://downloads.wordpress.org/plugin/adminify.zip',
					'type'              	=> array( 'featured','popular' ),
				),
				'master-addons'			=> array(
					'slug'              	=> 'master-addons',
					'name'              	=> 'Master Addons for Elementor',
					'short_description' 	=> 'Master Addons for Elementor provides the most comprehensive Elements & Extensions with a user-friendly interface. It is packed with 50+ Elementor Elements & 20+ Extension.',
					'icon'              	=> 'https://ps.w.org/master-addons/assets/icon.svg',
					'download_link'     	=> 'https://downloads.wordpress.org/plugin/master-addons.zip',
					'type'              	=> array( 'featured','popular','favorites' ),
				),

			);
		}

		/**
		 * Admin submenu
		 */
		public function admin_menu() {
			// For submenu .
            $this->sub_menu = add_submenu_page(
				'themes.php',       // Ex. pxlabs-settings /  edit.php?post_type=page .
				__( 'Recommended', 'disable-fullscreen-mode' ),
				__( 'Recommended', 'disable-fullscreen-mode' ),
				'manage_options',
				'recommended-plugins',
				array( $this, 'render_recommended_plugins' )
			);

		}
	}
}