<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/*
 * @version       1.0.0
 * @package       Disable_Fullscreen_Mode
 * @license       Copyright Disable_Fullscreen_Mode
 */

if ( ! function_exists( 'jltdfsm_option' ) ) {
	/**
	 * Get setting database option
	 *
	 * @param string $section defaults section name jltdfsm_general .
	 * @param string $key .
	 * @param string $defaults .
	 *
	 * @return string
	 */
	function jltdfsm_option( $section = 'jltdfsm_general', $key = '', $defaults = '' ) {
		$settings = get_option( $section );

		return isset( $settings[ $key ] ) ? $settings[ $key ] : $defaults;
	}
}

if ( ! function_exists( 'jltdfsm_exclude_pages' ) ) {
	/**
	 * Get exclude pages setting option data
	 *
	 * @return string|array
	 *
	 * @version 1.0.0
	 */
	function jltdfsm_exclude_pages() {
		return jltdfsm_option( 'jltdfsm_triggers', 'exclude_pages', array() );
	}
}

if ( ! function_exists( 'jltdfsm_exclude_pages' ) ) {
	/**
	 * Get exclude pages except setting option data
	 *
	 * @return string|array
	 *
	 * @version 1.0.0
	 */
	function jltdfsm_exclude_pages_except() {
		return jltdfsm_option( 'jltdfsm_triggers', 'exclude_pages_except', array() );
	}
}