<?php
namespace JLTDFSM\Libs;

// No, Direct access Sir !!!
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Assets' ) ) {

	/**
	 * Assets Class
	 *
	 * Jewel Theme <support@jeweltheme.com>
	 * @version     1.0.3
	 */
	class Assets {

		/**
		 * Constructor method
		 *
		 * @author Jewel Theme <support@jeweltheme.com>
		 */
		public function __construct() {
			add_action( 'admin_enqueue_scripts', array( $this, 'jltdfsm_admin_enqueue_scripts' ), 100 );
		}


		/**
		 * Get environment mode
		 *
		 * @author Jewel Theme <support@jeweltheme.com>
		 */
		public function get_mode() {
			return defined( 'WP_DEBUG' ) && WP_DEBUG ? 'development' : 'production';
		}

		/**
		 * Enqueue Scripts
		 *
		 * @method admin_enqueue_scripts()
		 */
		public function jltdfsm_admin_enqueue_scripts() {
			// CSS Files .
			wp_enqueue_style( 'thickbox' );
			wp_enqueue_style( 'jltdfsm-core', JLTDFSM_ASSETS . 'css/disable-fullscreen-mode.css', array( 'dashicons' ), JLTDFSM_VER, 'all' );

			// JS Files .
			wp_enqueue_script( 'thickbox' );

			// Not working sheets popup on this format .
			wp_enqueue_script( 'jltdfsm-core', JLTDFSM_ASSETS . 'js/disable-fullscreen-mode.js', array( 'jquery' ), JLTDFSM_VER, true );
			wp_localize_script(
				'jltdfsm-core',
				'JLTDFSMCORE',
				array(
					'admin_ajax'        => admin_url( 'admin-ajax.php' ),
					'recommended_nonce' => wp_create_nonce( 'jltdfsm_recommended_nonce' )
				)
			);
		}
	}
}