<?php
/**
 * Plugin Name: Disable Fullscreen Mode
 * Plugin URI:  https://jeweltheme.com
 * Description: Very simple plugin for disable Gutenberg fullscreen Editor mode.
 * Version:     1.0.6.4
 * Author:      Jewel Theme
 * Author URI:  https://jeweltheme.com
 * Text Domain: disable-fullscreen-mode
 * Domain Path: languages/
 * License:     GPLv3 or later
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html
 *
 * @package disable-fullscreen-mode
 */

/*
 * don't call the file directly
 */
if ( ! defined( 'ABSPATH' ) ) {
	wp_die( esc_html__( 'You can\'t access this page', 'disable-fullscreen-mode' ) );
}

$jltdfsm_plugin_data = get_file_data(
	__FILE__,
	array(
		'Version'     => 'Version',
		'Plugin Name' => 'Plugin Name',
		'Author'      => 'Author',
		'Description' => 'Description',
		'Plugin URI'  => 'Plugin URI',
	),
	false
);

// Define Constants.
if ( ! defined( 'JLTDFSM' ) ) {
	define( 'JLTDFSM', $jltdfsm_plugin_data['Plugin Name'] );
}

if ( ! defined( 'JLTDFSM_VER' ) ) {
	define( 'JLTDFSM_VER', $jltdfsm_plugin_data['Version'] );
}

if ( ! defined( 'JLTDFSM_AUTHOR' ) ) {
	define( 'JLTDFSM_AUTHOR', $jltdfsm_plugin_data['Author'] );
}

if ( ! defined( 'JLTDFSM_DESC' ) ) {
	define( 'JLTDFSM_DESC', $jltdfsm_plugin_data['Author'] );
}

if ( ! defined( 'JLTDFSM_URI' ) ) {
	define( 'JLTDFSM_URI', $jltdfsm_plugin_data['Plugin URI'] );
}

if ( ! defined( 'JLTDFSM_DIR' ) ) {
	define( 'JLTDFSM_DIR', __DIR__ );
}

if ( ! defined( 'JLTDFSM_FILE' ) ) {
	define( 'JLTDFSM_FILE', __FILE__ );
}

if ( ! defined( 'JLTDFSM_SLUG' ) ) {
	define( 'JLTDFSM_SLUG', dirname( plugin_basename( __FILE__ ) ) );
}

if ( ! defined( 'JLTDFSM_BASE' ) ) {
	define( 'JLTDFSM_BASE', plugin_basename( __FILE__ ) );
}

if ( ! defined( 'JLTDFSM_PATH' ) ) {
	define( 'JLTDFSM_PATH', trailingslashit( plugin_dir_path( __FILE__ ) ) );
}

if ( ! defined( 'JLTDFSM_URL' ) ) {
	define( 'JLTDFSM_URL', trailingslashit( plugins_url( '/', __FILE__ ) ) );
}

if ( ! defined( 'JLTDFSM_INC' ) ) {
	define( 'JLTDFSM_INC', JLTDFSM_PATH . '/Inc/' );
}

if ( ! defined( 'JLTDFSM_LIBS' ) ) {
	define( 'JLTDFSM_LIBS', JLTDFSM_PATH . 'Libs' );
}

if ( ! defined( 'JLTDFSM_ASSETS' ) ) {
	define( 'JLTDFSM_ASSETS', JLTDFSM_URL . 'assets/' );
}

if ( ! defined( 'JLTDFSM_IMAGES' ) ) {
	define( 'JLTDFSM_IMAGES', JLTDFSM_ASSETS . 'images' );
}

if ( ! class_exists( '\\JLTDFSM\\Disable_Fullscreen_Mode' ) ) {
	// Autoload Files.
	include_once JLTDFSM_DIR . '/vendor/autoload.php';
	// Instantiate Disable_Fullscreen_Mode Class.
	include_once JLTDFSM_DIR . '/class-disable-fullscreen-mode.php';
}